GET /dnslookup/{uuid}
/dnslookup/{uuid}
UUID of the object to fetch
Avi Tenant Header
Avi Tenant Header UUID
The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.
Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.
OK
{
"ip6s": [
"string"
],
"ips": [
"string"
],
"server": "string"
}
Resolved IPv6 addresses. Absent if resolution failed, or if pool=true and the associated Cloud has resolve_fqdn_to_ipv6 disabled. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Resolved IPv4 addresses. Absent if resolution failed. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
The FQDN or IP that was looked up, echoed back. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
log in failed
object not found
curl -H 'Authorization: <value>' https://{api_host}/api/dnslookup/{uuid}